%kmdl ndiswrapper

Summary: A kernel module to load windows WLAN drivers in Linux
Name: ndiswrapper
Version: 1.48
Release: 13%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://ndiswrapper.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
Some vendors do not release specifications of the hardware or provide
a linux driver for their wireless network cards. This project
implements Windows kernel API and NDIS (Network Driver Interface
Specification) API within Linux kernel. A Windows driver for wireless
network card is then linked to this implementation so that the driver
runs natively, as though it is in Windows, without binary emulation.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for ndiswrapper
Group: System Environment/Kernel

%description -n %kmdl_name
This package contains kernel drivers for ndiswrapper.

%kmdl_desc

%prep
%setup -q

%build

%if %{kmdl_userland}

make -C utils

%else

%kmdl_config
make -C driver KVERS=%{_kernel} KSRC=%{kmdl_kernelsrcdir} KBUILD=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

make -C utils DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_mandir}/man8
install -p ndiswrapper.8 %{buildroot}%{_mandir}/man8/

mkdir -p %{buildroot}%{_sysconfdir}/ndiswrapper

%else

mkdir -p %{buildroot}%{kmdl_moduledir}
make -C driver DESTDIR=%{buildroot} KVERS=%{_kernel} \
  KSRC=%{kmdl_kernelsrcdir} KBUILD=%{kmdl_kernelsrcdir} install
if [ -d %{buildroot}%{kmdl_moduledir}/../misc ]; then
  mv %{buildroot}%{kmdl_moduledir}/../misc/* %{buildroot}%{kmdl_moduledir}/
fi


%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README
/sbin/loadndisdriver
%{_sbindir}/ndiswrapper
%{_sbindir}/ndiswrapper-buginfo
%dir %{_sysconfdir}/ndiswrapper
%{_mandir}/man8/ndiswrapper.8*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}
%{kmdl_moduledir}/ndiswrapper.ko

%endif

%changelog
* Thu Dec 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.48-13
- Update to 1.48 (last working version for RHEL3 and RHEL4).

* Wed Jun 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.47-12
- Update to 1.47.

* Mon Jun  4 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.46-11
- Update to 1.46.

* Mon May 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.45-10
- Update to 1.45.

* Sat May 19 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.44-9
- Update to 1.44.

* Fri Apr 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.41-7
- Update to 1.41.

* Wed Feb  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.37-6
- Update to 1.37.

* Sun Oct 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.27-5
- Update to 1.27.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.16.

* Sat Mar 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.11.

* Fri Dec 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

